Public Class Form1

    Private Sub paletteColor_LeftClick(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles paletteColor.LeftClick

        Canvas.GraphicLeftColor = paletteColor.LeftColor
    End Sub

    Private Sub paletteColor_RightClick(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles paletteColor.RightClick

        Canvas.GraphicRightColor = paletteColor.RightColor
    End Sub

    Private Sub CircleToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles CircleToolStripMenuItem.Click

        'Set the tool
        Canvas.GraphicTool = PaintCanvas.GraphicTools.CirclePen

        'Uncheck the Hollow Circle menu item
        HollowCircleToolStripMenuItem.Checked = False
    End Sub

    Private Sub HollowCircleToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles HollowCircleToolStripMenuItem.Click

        'Set the tool
        Canvas.GraphicTool = PaintCanvas.GraphicTools.HollowCirclePen

        'Uncheck the Circle menu item
        CircleToolStripMenuItem.Checked = False
    End Sub

    Private Sub exitToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles exitToolStripMenuItem.Click

        'Close the application
        Me.Close()
    End Sub

    Private Sub openToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles openToolStripMenuItem.Click

        'Set the open file dialog properties
        With dlgFileOpenBackground
            .Filter = "Image files (*.gif,*.jpg,*.jpeg,*.bmp,*.wmf,*.png)" & _
                "|*.gif;*.jpg;*.jpeg;*.bmp;*.wmf;*.png|All files (*.*)|*.*"
            .FilterIndex = 1
            .Title = "Open Picture Files"
        End With

        'Show the dialog
        If dlgFileOpenBackground.ShowDialog() = DialogResult.OK Then

            'Create a new image that references the file
            Dim backgroundImage As Image = _
             Image.FromFile(dlgFileOpenBackground.FileName)

            'Set the background of the canvas
            Canvas.BackgroundImage = backgroundImage

        End If
    End Sub
End Class
