Public Class GraphicsCircle
    Inherits GraphicsItem

    Public Overrides Sub Draw(ByVal graphics As System.Drawing.Graphics)
        If IsFilled = True Then

            'Create a new pen
            Dim objSolidBrush As New SolidBrush(Me.Color)

            'Draw the circle
            graphics.FillEllipse(objSolidBrush, Me.Rectangle)

        Else

            'Create a pen
            Dim pen As New Pen(Me.Color)

            'Use DrawEllipse instead
            Dim objRectangle As Rectangle = Me.Rectangle
            objRectangle.Inflate(-1, -1)
            graphics.DrawEllipse(pen, objRectangle)

        End If
    End Sub
End Class
